FairMQPollerZMQ Class Reference
Inheritance diagram for FairMQPollerZMQ:
[legend]
Collaboration diagram for FairMQPollerZMQ:
[legend]

## Public Member Functions

| FairMQPollerZMQ (const std::vector< FairMQChannel > &channels)
| FairMQPollerZMQ (const std::vector< const FairMQChannel *> &channels)
| FairMQPollerZMQ (const std::unordered_map< std::string, std::vector< FairMQChannel >> &channelsMap, const std::vector< std::string > &channelList)
| FairMQPollerZMQ (const FairMQPollerZMQ &)=delete
FairMQPollerZMQ | operator= (const FairMQPollerZMQ &)=delete
void | SetItemEvents (zmq_pollitem_t &item, const int type)
virtual void | Poll (const int timeout)
virtual bool | CheckInput (const int index)
virtual bool | CheckOutput (const int index)
virtual bool | CheckInput (const std::string channelKey, const int index)
virtual bool | CheckOutput (const std::string channelKey, const int index)

## Friends

class | FairMQChannel
class | FairMQTransportFactoryZMQ

The documentation for this class was generated from the following files:

- fairmq/zeromq/FairMQPollerZMQ.h
- fairmq/zeromq/FairMQPollerZMQ.cxx